Subject: Re: IESG review of RFC Editor documents

From: "John Loughney" <[email-masked]>
Date: Sat, 27 Mar 2004 22:43:43 +0200

Hi Eliot,

> Similarly, SOCKS went quite far before the IETF ever got a look at it. 
> Why?  Because we are no longer viewed as a place where development can 
> seriously take place.  Risk averse.  You know that thing about running 
> code?  Taken too far we fail what I think part of our mission is, which 
> is to be a place to collaborate, because everyone will have shown up 
> with their respective running code, only to fight over whose running 
> code (if anybody's) will become the standard.  See, for instance, the 
> XMPP/IMPP wars.

I agree with you on this. I think we see already other groups working on IP protocols, avoiding the IETF. One could look at the example of RADIUS, for example. RADIUS was originally developed outside of the IETF, brought into the IETF, extended by a half-dozen SDOs and now the IETF is considering trying to clean up the current mess. The IETF has used individual submissions to make things a bit better, with some success. 

Part of the problem was that the we  took so long to develop the follow-up to RADIUS - Diameter - that we completely missed the window, so the world kept extending RADIUS.

John